Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.xkms
Class KeyBinding

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.xkms.AbstractKeyBinding
oracle.security.xmlsec.xkms.UnverifiedKeyBinding
oracle.security.xmlsec.xkms.KeyBinding`

Direct Known Subclasses:
  RecoverKeyBinding, ReissueKeyBinding, RevokeKeyBinding

public class KeyBinding
extends UnverifiedKeyBinding

Represents the `KeyBinding` element for use with Validate requests and responses.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`KeyBinding(org.w3c.dom.Document owner)` Creates a new `KeyBinding` instance.
`KeyBinding(org.w3c.dom.Document owner, java.lang.String systemId)` Creates a new `KeyBinding` instance.
`KeyBinding(org.w3c.dom.Document owner, java.lang.String tagName, java.lang.String systemId)` Creates a new `KeyBinding` instance.
`KeyBinding(org.w3c.dom.Element element)` Creates a new `KeyBinding` instance from the given Element node.

Method Summary
`Status` | `getStatus()` Returns the value of the `Status` element for this `KeyBinding` or `null` if none is present.
`void` | `setStatus(Status status)` Sets the `Status` element for this `KeyBinding`.

Methods inherited from class oracle.security.xmlsec.xkms.UnverifiedKeyBinding
`getValidityNotBefore, getValidityNotOnOrAfter, setValidityInterval`

Methods inherited from class oracle.security.xmlsec.xkms.AbstractKeyBinding
`addKeyUsage, addUseKeyWith, getID, getKeyInfo, getKeyUsages, getUseKeyWithApplications, getUseKeyWithIdentifiers, setID, setKeyInfo`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyBinding

    public KeyBinding(org.w3c.dom.Element element)
               throws org.w3c.dom.DOMException

  Creates a new `KeyBinding` instance from the given Element node.
Parameters:
  `element` - An Element node in the XML document that conforms to the X-KISS KeyBinding schema.
Throws:
  `org.w3c.dom.DOMException`

### KeyBinding

    public KeyBinding(org.w3c.dom.Document owner)
               throws org.w3c.dom.DOMException

  Creates a new `KeyBinding` instance.
Parameters:
  `owner` - The owner document of the new `KeyBinding`.
Throws:
  `org.w3c.dom.DOMException`

### KeyBinding

    public KeyBinding(org.w3c.dom.Document owner,
                      java.lang.String systemId)
               throws org.w3c.dom.DOMException

  Creates a new `KeyBinding` instance.
Parameters:
  `owner` - The owner document of the new `KeyBinding`.
  `systemId` - The URI string system ID for the `Message`.
Throws:
  `org.w3c.dom.DOMException`

### KeyBinding

    public KeyBinding(org.w3c.dom.Document owner,
                      java.lang.String tagName,
                      java.lang.String systemId)
               throws org.w3c.dom.DOMException

  Creates a new `KeyBinding` instance.
Parameters:
  `owner` - The owner document of the new `KeyBinding`.
  `tagName` - The name of the element to be created.
  `systemId` - The URI string system ID for the `Message`.
Throws:
  `org.w3c.dom.DOMException`

Method Detail

### setStatus

    public void setStatus(Status status)
                   throws org.w3c.dom.DOMException

  Sets the `Status` element for this `KeyBinding`.
  Parameters:
    `status` - The `Status` value.
  Throws:
    `org.w3c.dom.DOMException`

### getStatus

    public Status getStatus()

  Returns the value of the `Status` element for this `KeyBinding` or `null` if none is present.
  Returns:
    The `Status` value.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.